apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: ledius-token-ingress
  labels:
    name: ledius-token-ingress
spec:
  ingressClassName: nginx
  rules:
    - http:
        paths:
          - path: /api/ledius-token
            pathType: Prefix
            backend:
              service:
                name: ledius-token
                port:
                  number: 3000
    - host: finance.ledius.ru
      http:
        paths:
          - path: /api/ledius-token
            pathType: Prefix
            backend:
              service:
                name: ledius-token
                port:
                  number: 3000
    - host: admin.ledius.ru
      http:
        paths:
            - path: /api/ledius-token
              pathType: Prefix
              backend:
                service:
                  name: ledius-token
                  port:
                    number: 3000
